function mah(a,b,d,e){yGd.call(this,a,b,d);this.a=e}
function tah(){var a;a=new Qrg(5);Tr((agd(),a.gb),false);return a}
function Tgh(a){var b;if(!a.g){b=new uah((y1i(dee(a.a)),loj(fee(a.a))));a.g=b}return a.g}
function Sgh(a){var b;if(!a.f){b=new mah(IFd(zce(a.a)),Tgh(a),Rgh(a),AMg(tde(a.a)));UFd((Ace(a.a),b),RGd(Ace(a.a)));a.f=b}return a.f}
function uah(){cAf.call(this,g3b,WVd((H5g(),D5g),uM(c2c,Bxj,237,[G5g])));this.a=new Q5g(g3b,this);this.o="Distributed query engine, that parses, plans and excutes user's SQL commands and provides results"}
C3c(4514,1014,Fyj,mah);_.$i=function(){this.A.Dr()};_.cj=function(){Hvf(this.a,this)};C3c(4517,2874,Gzj,uah);_.Dh=function(){return Vzf(this)};_.Ar=function(){return this.a};_.Br=function(){return y6j};_.Fr=function(){return null};_.Ir=function(){var a;a=new P3g(this,y6j,Xzf(this,null),this.k,this.s);return new _3g(this,y6j,null,tah(),a,this.s)};_.Jr=function(){return tah()};C3c(4587,1,lzj);_.ud=function(){qHd(this.b,Sgh(this.a.a))};var a2b=kOd(4514),b2b=kOd(4517);Zzj(np)(17);